﻿@model Contabilidad.Site.Models.PurchaseInvoice.PurchaseInvoiceEditViewModel
@{
    ViewData["Title"] = @Contabilidad.Resources.CommonResources.Create;
}
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>@Contabilidad.Resources.CommonResources.Create @Contabilidad.Resources.Models.Accounting.PurchaseInvoice.PurchaseInvoice.modelName</h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <form method="post" enctype="multipart/form-data">
                    @if (ViewData.ModelState[string.Empty]?.Errors?.Any() == true)
                    {
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="card">
                                <div class="body bg-red">
                                    <div asp-validation-summary="ModelOnly"></div>
                                </div>
                            </div>
                        </div>
                    }

                    @Html.HiddenFor(model => model.IdPurchaseInvoice)
                    <label asp-for="Code">@Html.DisplayNameFor(Model => Model.Code)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="Code" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="Code"></span>
                            </li>
                        </ul>
                    </div>


                    <label asp-for="IsPaid">@Html.DisplayNameFor(Model => Model.IsPaid)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <div class="">
                                <input type="checkbox" class="icheckbox_flat-green checked" asp-for="IsPaid" />
                            </div>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="IsPaid"></span>
                            </li>
                        </ul>
                    </div>


                    <label asp-for="IdCurrency">@Html.DisplayNameFor(Model => Model.WarehouseSelected)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.Warehouses)" asp-for="WarehouseSelected" data-live-search="true" asp-items="@(new SelectList(Model.Warehouses,"Id","Value"))"></select>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="WarehouseSelected"></span>
                            </li>
                        </ul>
                    </div>


                    <label asp-for="Comments">@Html.DisplayNameFor(Model => Model.Comments)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <textarea asp-for="Comments" class="form-control" rows="5" cols="20"></textarea>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="Comments"></span>
                            </li>
                        </ul>
                    </div>

                    <label asp-for="Voucher">@Html.DisplayNameFor(Model => Model.Voucher)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="Voucher" type="file" />
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="Voucher"></span>
                            </li>
                        </ul>
                    </div>

                    <label asp-for="IdCurrency">@Html.DisplayNameFor(Model => Model.IdCurrency)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.Currencies)" asp-for="IdCurrency" data-live-search="true" asp-items="@(new SelectList(Model.Currencies,"Id","Value"))"></select>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="IdCurrency"></span>
                            </li>
                        </ul>
                    </div>

                    <label asp-for="Isv">@Html.DisplayNameFor(Model => Model.Isv)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="Isv" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="Isv"></span>
                            </li>
                        </ul>
                    </div>

                    <label asp-for="Isv">@Html.DisplayNameFor(Model => Model.Disccount)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="Disccount" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled" id="parsley-id-6">
                            <li>
                                <span asp-validation-for="Disccount"></span>
                            </li>
                        </ul>
                    </div>

                    <label asp-for="IdProvider">@Html.DisplayNameFor(Model => Model.IdProvider)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.Providers)" asp-for="IdProvider" data-live-search="true" asp-items="@(new SelectList(Model.Providers,"Id","Value"))"></select>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="IdProvider"></span>
                            </li>
                        </ul>
                    </div>

                    <label asp-for="InvoiceType">@Html.DisplayNameFor(Model => Model.InvoiceType)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.InvoiceType)" asp-for="InvoiceType" data-live-search="true" asp-items="@Html.GetEnumSelectList<Contabilidad.Database.Models.Accounting.InvoiceType>()"></select>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="InvoiceType"></span>
                            </li>
                        </ul>
                    </div>

                    @Html.HiddenFor(model => model.Index, new { @id = "indexV" });

                    <div class="x_panel">
                        <div class="x_title">
                            <h2>@Contabilidad.Resources.Models.Accounting.PurchaseInvoice.PurchaseInvoice.Details</h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content" id="contentDetail">
                            @if (Model.Details.Any())
                            {
                                for (int i = 0; i < Model.Details.Count(); i++)
                                {
                                    Model.Details.ElementAt(i).Index = i;
                                    @await Component.InvokeAsync("PurchaseInvoiceDetailCreate", new { detail = Model.Details.ElementAt(i) });
                                }
                            }
                        </div>
                        <a id="AddDetail" class="btn btn-secondary waves-effect">@Contabilidad.Resources.CommonResources.Add</a>
                    </div>
                    <div align="right">
                        <a href="#confirm" class="btn btn-primary waves-effect" data-toggle="modal" data-target="#confirm">@Contabilidad.Resources.CommonResources.SaveChanges</a>
                    </div>
                    <div class="modal fade" id="confirm" tabindex="-1" role="dialog">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title" id="defaultModalLabel">@Contabilidad.Resources.CommonResources.Edit @Contabilidad.Resources.Models.Accounting.PurchaseInvoice.PurchaseInvoice.modelName</h4>
                                </div>
                                <div class="modal-body">
                                    @Contabilidad.Resources.Models.Accounting.PurchaseInvoice.PurchaseInvoice.EditMessage
                                </div>
                                <div class="modal-footer">
                                    <input type="submit" id="submitbutton" value="@Contabilidad.Resources.CommonResources.SaveChanges" data-disableonclick="true" class="btn btn-primary waves-effect" />
                                    <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">@Contabilidad.Resources.CommonResources.Cancel</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script>
        $(document).ready(function () {
            $("#AddDetail").click(function () {
                var indexT = parseInt($("#indexV").val());
                $("#indexV").val(indexT + 1);
                $.ajax({
                    url: "AddDetail",
                    dataType: "html",
                    data: { index: indexT },
                    success: function (result) {
                        $('#contentDetail').append(result);

                    }
                });
            });

        });
    </script>
    <script>
        $("#calculateButton").click(function () {
            $("input[name*='Total']").val();
        });
    </script>
    <script>
        function DeleteDetail(isDetail) {
            $("input[name*='" + isDetail + "']").val(true)
            $("input[name*='" + isDetail + "']").parent().hide()
        }
    </script>
}